<img src="docs/_static/AP_logo.png" alt="AutoProf" width="300"/>

AutoProf is a pipeline for basic and advanced non-parametric galaxy image analysis.
Its design allows for fast startup and provides flexibility to explore new ideas and support advanced users.
It was written by [Connor Stone](https://connorjstone.com/) with contributions from
[Nikhil Arora](https://orcid.org/0000-0002-3929-9316),
[Stephane Courteau](https://www.physics.queensu.ca/facultysites/courteau/),
and [Jean-Charles Cuillandre](https://www.cfht.hawaii.edu/~jcc/).

# Install

```
pip install autoprof
```

Please use python version 3.9 or greater.

# Documentation

See our [documentation](https://autoprof.readthedocs.io) for a full description
of AutoProf's capabilities

# Citation

Please see the [ADS Bibliographic
Record](https://ui.adsabs.harvard.edu/abs/2021MNRAS.508.1870S/abstract) of the
AutoProf paper for proper citation.

# Notice

This is the AutoProf isophotal code, it works great in its domain which is
wherever one would use isophotal fitting. Thus it is suitable for mostly
isolated, mostly resolved, objects. If you are limited by the PSF, crowding, or
want to model multi-band/epoch data you may want to consider "AstroPhot" a full
forward modelling code. Just [follow this
link](https://github.com/Autostronomy/AstroPhot) to check it out!

